File: changelog

package info (click to toggle)
obconf-qt 0.14.1-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 1,312 kB
  • sloc: cpp: 1,629; ansic: 508; makefile: 11
file content (165 lines) | stat: -rw-r--r-- 5,616 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
obconf-qt (0.14.1-1) unstable; urgency=medium

  * Cherry-picked upstream release 0.14.1.

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 00:38:38 +0100

obconf-qt (0.14.0-1) unstable; urgency=medium

  * Cherry-picked upstream release 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 15:13:23 +0100

obconf-qt (0.13.0-1) unstable; urgency=medium

  * Cherry-picked upstream release 0.13.0.
  * Bump lxqt-build-tools to >= 0.5.0~
  * Fixed watch file lxde -> lxqt

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 May 2018 20:16:01 +0200

obconf-qt (0.12.0-4) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 17:07:46 +0200

obconf-qt (0.12.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields
  * Removed debian/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 23:44:22 +0100

obconf-qt (0.12.0-2) unstable; urgency=medium

  * Transition to unstable
  * Bumped Standards to 4.1.1 - no changes needed

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 19:39:19 +0100

obconf-qt (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped minimum version of lxqt-build-tools to >= 0.4.0
  * Bumped Standards to 4.1.0, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Sep 2017 12:56:19 +0200

obconf-qt (0.11.1-2) unstable; urgency=medium

  * Removed build dependency liblxqt0-dev - only translations
    used cmake parts from the library, not the case anymore as
    lxqt-build-tools provide this now

 -- Alf Gaida <agaida@siduction.org>  Sat, 07 Jan 2017 03:23:40 +0100

obconf-qt (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Removed build dependencies:
    - cmake
    - libqt5xdg-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
  * Added build dependency lxqt-build-tools (>= 0.3.0)
  * Added dependency openbox
  * fixed gbp branch to debian/sid

 -- Alf Gaida <agaida@siduction.org>  Sun, 11 Dec 2016 20:12:06 +0100

obconf-qt (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0.
  * Synced debian/foo with experimental
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, standard in compat 10
  * Bumped build dependency debhelper (>= 10)
  * Bumped build dependency liblxqt-dev (>= 0.11.0)
  * Bumped build dependency libqtxdg-dev (>= 2.0.0)
  * Added build dependency libkf5windowsystem-dev
  * Added build dependency libqt5svg5-dev
  * Added Recommends obconf-qt-l10n
  * Fixed VCS fields, using plain /git/
  * Used GPL-2+ for debian, no need to introduce a second license
  * Fixed copyrights Format field to https
  * Dropped patches, applied upstream
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible
  * Cleaned up source/options and .gitignore

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 20:08:08 +0200

obconf-qt (0.9.0+20151227-2) unstable; urgency=medium

  * make build reproducible again (Closes: 815900), thanks to Eduard Sanou
    for the bug and the patch, but i already fixed this upstream
  * Bump Standards to 3.9.7
  * Secure VCS-fields
  * Fix years in copyright

 -- Alf Gaida <agaida@siduction.org>  Thu, 25 Feb 2016 21:21:57 +0100

obconf-qt (0.9.0+20151227-1) unstable; urgency=medium

  * Cherry-picked upstream version 0.9.0+20151227.

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 01:16:24 +0100

obconf-qt (0.9.0+20150822-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Use -Wl,--as-needed to reduce dependencies
  * Use hardening=+all

  [ Alf Gaida ]
  * Cherry-picked upstream version 0.9.0+20150822
  * Removed not needed breaks and replaces
  * Beautified control
  * Tar-ignored obconf-qt.kdev4
  * Added upstream signing key and use it in watch file

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 Sep 2015 17:02:15 +0200

obconf-qt (0.9.0+20150723-1) unstable; urgency=medium

  [ Alf Gaida ]
  * initial debian files.
  * Initial release. (Closes: #761263)
  * typo in control.
  * - drop debug package - Min Qt version 5.3.2 - bump standards to 3.9.6
    - lintian-override for missing manpage added
  * new release (dunno which number it will have right now, i guess 0.2.0)
    packages renamed debian $foo fixed source/options added.
  * Some cleanup in debian $foo.
  * dependencies and rules fixed.

  [ Andrew Lee (李健秋) ]
  * Merging upstream version 0.9.0+20150723.
  * Added myself as Uploader.
  * Sorting build-depends.
  * Drop LGPL-2.1+ license for obconf-qt as I couldn't find any headers
    mention that.
  * Drop empty transitional package. User who has unofficial lxqt
    installed should reinstall lxqt from official debian repo instead.
  * Removing whitespaces at EOL and EOF.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 14 Aug 2015 17:39:21 +0800